
+++
aliases = [ "/docker-hub-enterprise/" ]
title = "Overview"
description = "Docker Trusted Registry"
keywords = ["docker, documentation, about, technology, understanding, enterprise, hub,  registry"]
[menu.main]
parent="smn_dhe"
+++



# Welcome to Docker Trusted Registry

Docker Trusted Registry (DTR) lets you run and manage your own Docker image
storage service, securely on your own infrastructure behind your company
firewall. This allows you to securely store, push, and pull the images used by
your enterprise to build, ship, and run applications. DTR also provides
monitoring and usage information to help you understand the workloads being
placed on it.

Specifically, DTR provides:

* An image registry to store, manage, and collaborate on Docker images
* Pluggable storage drivers
* Configuration options to let you run DTR in your particular enterprise
environment.
* Easy, transparent upgrades
* Logging, usage and system health metrics

DTR is perfect for:

* Providing a secure, on-premise development environment
* Creating a streamlined build pipeline
* Building a consistent, high-performance test/QA environment
* Managing image deployment

DTR is built on [version 2 of the Docker registry](https://github.com/docker/distribution).

To get your copy of DTR, including a free trial, visit [the Docker Subscription page](https://hub-beta.docker.com/enterprise/). For more information on acquiring DTR, see the [install page]({{< relref "install.md" >}}).

>   **Important**: DTR must be used with the current version of the commercially
>   supported Docker Engine. You must install this version of Docker before
>   installing DTR. For instructions on accessing and installing commercially
>   supported Docker Engine, visit the [install page](/docker-trusted-registry/install#download-the-commercially-supported-docker-engine-installation-script).

## Available Documentation

The following documentation for DTR is available:

* **Overview** This page.
* [**Quick Start: Basic User Workflow**]({{< relref "quick-start.md" >}}) Go here to learn the
fundamentals of how DTR works and how you can set up a simple, but useful
workflow.
* [**User Guide**]({{< relref "userguide.md" >}}) Go here to learn about using DTR from day to
day.
* [**Administrator Guide**]({{< relref "adminguide.md" >}}) Go here if you are an administrator
responsible for running and maintaining DTR.
* [**Installation**]({{< relref "install.md" >}}) Go here for the steps you'll need to install
DTR and get it working.
* [**Configuration**]({{< relref "configuration.md" >}}) Go here to find out details about
setting up and configuring DTR for your particular environment.
* [**Support**]({{< relref "support.md" >}}) Go here for information on getting support for
DTR.

Note: DTR requires that you use the commercially supported Docker Engine.
